# kalle
# Copyright (C) 2024 Wayland Holdings, LLC

from pydantic import BaseModel
from typing import Optional

from kalle.domain.Constrainer import Constrainer
from kalle.domain.ModelConfig import ModelParam


class Context(BaseModel):
  base_file_dir: str
  use_memory: bool = False
  param_content: Optional[str] = None
  piped_content: Optional[str] = None
  constrainer: Optional[Constrainer] = None
  conversation_key: Optional[str] = None
  args_system_prompt: Optional[str] = None
  args_profile_key: Optional[str] = None
  args_pattern_key: Optional[str] = None
  args_model_string: Optional[str] = None
  args_model_params: Optional[list[ModelParam]] = None
  follow_uris: bool = False
  use_tools: bool = False
  tool_list: Optional[list] = None
  debug: bool = False
